<!--  Calendario -->
<link href="./calendario/calendario.css" rel="stylesheet" type="text/css"/>
<script src="./calendario/calendario.js" type="text/javascript"></script>
<div id="calendario">
    <div id="anterior" onclick="mesantes()" style="font-size: 10px;"></div>
    <div id="posterior" onclick="mesdespues()" style="font-size: 10px;"></div>
    <h2 id="titulos" style="font-size: 15px"></h2>
    <table id="diasc">
        <tr id="fila0"><th></th><th></th><th></th><th></th><th></th><th></th><th></th></tr>
        <tr id="fila1">
            <td onclick="lf(0)" class="tabletd"></td><td onclick="lf(1)" class="tabletd"></td>
            <td onclick="lf(2)" class="tabletd"></td><td onclick="lf(3)" class="tabletd"></td>
            <td onclick="lf(4)" class="tabletd"></td><td onclick="lf(5)" class="tabletd"></td>
            <td onclick="lf(6)" class="tabletd"></td>
        </tr>
        <tr id="fila2">
            <td onclick="lf(7)" class="tabletd"></td><td onclick="lf(8)" class="tabletd"></td>
            <td onclick="lf(9)" class="tabletd"></td><td onclick="lf(10)" class="tabletd"></td>
            <td onclick="lf(11)" class="tabletd"></td><td onclick="lf(12)" class="tabletd"></td>
            <td onclick="lf(13)" class="tabletd"></td>
        </tr>
        <tr id="fila3">
            <td onclick="lf(14)" class="tabletd"></td><td onclick="lf(15)" class="tabletd"></td>
            <td onclick="lf(16)" class="tabletd"></td><td onclick="lf(17)" class="tabletd"></td>
            <td onclick="lf(18)" class="tabletd"></td><td onclick="lf(19)" class="tabletd"></td>
            <td onclick="lf(20)" class="tabletd"></td>
        </tr>
        <tr id="fila4">
            <td onclick="lf(21)" class="tabletd"></td><td onclick="lf(22)" class="tabletd"></td>
            <td onclick="lf(23)" class="tabletd"></td><td onclick="lf(24)" class="tabletd"></td>
            <td onclick="lf(25)" class="tabletd"></td><td onclick="lf(26)" class="tabletd"></td>
            <td onclick="lf(27)" class="tabletd"></td>
        </tr>
        <tr id="fila5">
            <td onclick="lf(28)" class="tabletd"></td><td onclick="lf(29)" class="tabletd"></td>
            <td onclick="lf(30)" class="tabletd"></td><td onclick="lf(31)" class="tabletd"></td>
            <td onclick="lf(32)" class="tabletd"></td><td onclick="lf(33)" class="tabletd"></td>
            <td onclick="lf(34)" class="tabletd"></td>
        </tr>
        <tr id="fila6">
            <td onclick="lf(35)" class="tabletd"></td><td onclick="lf(36)" class="tabletd"></td>
            <td onclick="lf(37)" class="tabletd"></td><td onclick="lf(38)" class="tabletd"></td>
            <td onclick="lf(39)" class="tabletd"></td><td onclick="lf(40)" class="tabletd"></td>
            <td onclick="lf(41)" class="tabletd"></td>
        </tr>
    </table>
    <table id="prueba">
    </table>
    <div id="fechaactual"><i onclick="actualizar()">HOY: </i></div>
    <div id="buscafecha">
        <form action="#" name="buscar">
            <input type="text" name="buscaanno" maxlength="4" size="4" /><input type="button" value="BUSCAR" onclick="mifecha()" />
        </form>
    </div>
</div>
<script>
    //funcion para listar la fecha selecionada
    function lf(id) {
        var anio = $('#anio' + id).val();
        var mes = $('#mes' + id).val();
        var dia = $('#dia' + id).val();
        var fecha = formatoFecha(anio, mes, dia);
        var validacion = fechaValida(anio, mes, dia);
        if (validacion === true) {
            //envio de fecha a vista
            $('b#fecha_reserva').html("Fecha a reservar " + fecha);
            $('#fechaHiden').val(fecha);
            //envio de fecha para guardar
            btnReservar();
            //animaciones de la fecha
            var fecha_reserva = $("#fecha_reserva");
            fecha_reserva.animate({fontSize: '1.22em'}, "fast");
            fecha_reserva.animate({fontSize: '1em'}, "fast");
        } else {
            $('#fechaNoValida').show();
            setTimeout(function () {$("#fechaNoValida").fadeOut(2000);}, 1500); //desaparecer en 2 s
        }
    }
    //obterner la fecha actual
    function fechaActual() {
        $('#buscafecha').hide();
        var anio = new Date().getFullYear();
        var mes = new Date().getMonth() + 1;
        var dia = new Date().getDate();
        var fecha_actual = formatoFecha(anio, mes, dia);
        return fecha_actual;
    }

</script>
